﻿@using SSCMvc.Webutil;
@model SSCMvc.Models.Tb_CourseHist
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@{
    ViewBag.Title = "CourseHistoryCreate";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script type="text/javascript">
        deleterecord("MaAdmission");
    </script>
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {

            $("#FromDate").datepicker();
            $("#Todate").datepicker();


            $("#Fdate").datepicker();
            $("#Tdate").datepicker();


            $("#PackageHourstr").hide();
            //$("#DurationOfExp").datepicker();
        });




        $("#ie").change(function () {
            var idCourse = $(this).val();
            var hours = $("#PackageHours").val();
            $.getJSON("/MaAdmission/LoadTimeByGroup", { id: idCourse, Hour: hours },
                function (modelData) {

                    var select = $("#TimeId");
                    select.empty();
                    select.append($('<option value="">Select Time</option>'));

                    $.each(modelData, function (index, itemData) {


                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,



                        }));
                    });
                });
        });


        // $("#PackageId").change(function () {

        //     var idPckge = $(this).val();
        //     var hours = $("#PackageHours").val();

        //     GetTimeList(idPckge, hours);

        // });

        // function GetTimeList(idPckge, hours) {

        //     $.getJSON("/MaAdmission/LoadTimeLstByPackage", { id: idPckge, Hour: hours },
        //function (modelData) {

        //    var select = $("#TimeId");
        //    select.empty();
        //    select.append($('<option value="">Select Time</option>'));

        //    $.each(modelData, function (index, itemData) {


        //        select.append($('<option/>', {

        //            value: itemData.Value,
        //            text: itemData.Text,



        //        }));
        //    });
        //});
        // }



        //gets package on course selection

        $("#PackageHours").change(function () {
           var courseid = $("#CourseId").val();
            var hours = $("#PackageHours").val();
            var ie = $("#ie").val();
            GetTimingList(ie, hours);
            GetPackageList(courseid, hours);


        });


        $("#TimeId").change(function () {
            var Tid = $("#TimeId").val();
            var PkId = $("#PackageId").val();
            var Cid = $("#CourseId").val();
            var Gid = $("#ie").val();

            $.getJSON("/MaAdmission/GetAvailSeat", { id: Tid, PkgId: PkId,CourseId:Cid,GroupId:Gid },
                function (modelData) {
                    //$("#Avail").css('background-color', modelData["Color"])
                    //$("#Avail").html("Available Seats " + modelData["Count"])

                })
        });


        function GetTimingList(ie, hours) {

            $.getJSON("/MaAdmission/LoadTimeByGroup", { id: ie, Hour: hours },
                function (modelData) {

                    var select = $("#TimeId");
                    select.empty();
                    select.append($('<option value="">Select Time</option>'));

                    $.each(modelData, function (index, itemData) {


                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,



                        }));
                    });
                });


        }





        $("#CourseId").change(function () {

            var idCourse = $(this).val();

            if (idCourse != 14 && idCourse != 17) {
                $("#PackageHourstr").hide();

                GetPackageList(idCourse, "4 Hours");
            }
            else {

                $("#PackageHourstr").show();

            }
        });


        function GetPackageList(idCourse, Hours) {

            $.getJSON("/MaAdmission/LoadPackageByCourse", { id: idCourse, Hour: Hours },
                function (modelData) {

                    var select = $("#PackageId");
                    select.empty();
                    select.append($('<option/>', {
                        value: 0,
                        text: "Select a Package"
                    }));
                    $.each(modelData, function (index, itemData) {


                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,



                        }));
                    });
                });
        }









        //Get Group from Course Base

        $("#CourseId").change(function () {

            var idCourse = $(this).val();
            $.getJSON("/MaAdmission/LoadGroupByCourse", { id: idCourse },
                function (modelData) {

                    var select = $("#ie");
                    select.empty();
                    select.append($('<option value="">Select Group</option>'));

                    $.each(modelData, function (index, itemData) {


                        select.append($('<option/>', {

                            value: itemData.Value,
                            text: itemData.Text,

                        }));
                    });
                });
        });

            //    var idCourseText = $("#CourseId :selected").text();
            //    $("#ie").empty();
            //    if (idCourseText == "IELTS") {
            //        var myselect = $("#ie");
            //        myselect.empty();
            //        myselect.append($('<option/>', {

            //            value: "Select",
            //            text: "Select",
            //        }));

            //        myselect.append($('<option/>', {

            //            value: "ASPIRANTS",
            //            text: "ASPIRANTS",
            //        }));
            //        myselect.append($('<option/>', {

            //            value: "STARTERS",
            //            text: "STARTERS",
            //        }));
            //        myselect.append($('<option/>', {

            //            value: "FLYERS",
            //            text: "FLYERS",
            //        }));
            //    }
            //    if (idCourseText == "GRAMMAR") {
            //        var myselect = $("#ie");
            //        myselect.empty();
            //        myselect.append($('<option/>', {

            //            value: "Select",
            //            text: "Select",
            //        }));
            //        myselect.append($('<option/>', {

            //            value: "GRAMMARS",
            //            text: "GRAMMAR",
            //        }));
            //    }

            //    if (idCourseText == "PTE") {
            //        var myselect = $("#ie");
            //        myselect.empty();
            //        myselect.append($('<option/>', {

            //            value: "Select",
            //            text: "Select",
            //        }));
            //        myselect.append($('<option/>', {

            //            value: "PTE",
            //            text: "PTE",
            //        }));
            //    }
            //    if (idCourseText == "ENDEAVOUR") {
            //        var myselect = $("#ie");
            //        myselect.empty();
            //        myselect.append($('<option/>', {

            //            value: "Select",
            //            text: "Select",
            //        }));
            //        myselect.append($('<option/>', {

            //            value: "ENDEAVOURS",
            //            text: "ENDEAVOUR",
            //        }));
            //    }

            //});





    </script>
}
@using (Html.BeginForm("CourseHistory", "MaAdmission", null, FormMethod.Post, new { @id = "formMine", @class = "horizontal-form" }))
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Course History
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>


    <div style="float: right">
    </div>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                @*<input type="reset" value="Cancel" class="btn btn-primary" />*@
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            @Html.Action("_StudentDetail")
                            <br />
                            <br />
                            <hr />
                            <div>
                                <font color="red"> @ViewBag.msg</font>
                            </div>
                            <br />
                            @*Tab start here*@
                            <div class="container">
                                <ul class="tabs">
                                    <li class="active"><a href="#tab1">Course History<span id="spPending"></span></a></li>
                                    <li><a href="#tab2">Highest Qualification<span id="spOnTIME"></span> </a></li>
                                    <li><a href="#tab3">Employment History<span id="spCancelled"></span></a></li>
                                    <li><a href="#tab4">Fee Paid<span id="spemhist"></span></a></li>

                                </ul>
                                <div class="tab_container">
                                    <div style="display: block;" id="tab1" class="tab_content">
                                        <table align="left" class="bordertable">
                                            <tr>
                                                <td align="left">
                                                    <table style="width: 560px">
                                                        <tr>
                                                            <td style="width: 120px">
                                                                @{object admid = @ViewBag.Sid; }
                                                                @Html.Hidden("AdmissionId", @admid)
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            @Html.LabelFor(model => model.CourseId, "Course")
                                                                        </td>
                                                                        <td>
                                                                            <span class="color_style">*</span>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("CourseId", "Select")
                                                                @Html.ValidationMessageFor(model => model.CourseId)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                Group
                                                            </td>
                                                            <td>
                                                                @*@{
                                                                    var listIELTS = new List<ListItem>();


                                                                    ViewBag.IELTS = listIELTS;

                                                                    var listGRAM = new List<ListItem>();

                                                                    listGRAM.Add(new ListItem { Text = "GRAMMARS", Value = "GRAMMARS" });

                                                                    ViewBag.Grammar = listGRAM;

                                                                    var listEND = new List<ListItem>();
                                                                    listEND.Add(new ListItem { Text = "ENDEAVOURS", Value = "ENDEAVOURS" });

                                                                    ViewBag.End = listEND;
                                                                    }*@
                                                                @Html.DropDownList("ie", "Select Group")
                                                            </td>
                                                        </tr>
                                                        <tr id="PackageHourstr">
                                                            <td>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            Package Hours
                                                                        </td>
                                                                        <td>
                                                                            <span class="color_style">*</span>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("PackageHours", "Select")
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            @Html.LabelFor(model => model.PackageId, "Package")
                                                                        </td>
                                                                        <td>
                                                                            <span class="color_style">*</span>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("PackageId", "Select")
                                                                @Html.ValidationMessageFor(model => model.PackageId)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            @Html.LabelFor(model => model.TimeId, "Time")
                                                                        </td>
                                                                        <td>
                                                                            <span class="color_style">*</span>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("TimeId", "Select")
                                                                @Html.ValidationMessageFor(model => model.TimeId)
                                                            </td>
                                                            <td>

                                                                <div style="height:20px;width:160px; color:#ffffff; text-align:center; font-weight:bold" id="Avail"></div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            @Html.LabelFor(model => model.FromDate)
                                                                        </td>
                                                                        <td>
                                                                            <span class="color_style">*</span>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.EditorFor(model => model.FromDate)
                                                                @Html.ValidationMessageFor(model => model.FromDate)
                                                            </td>
                                                        </tr>


                                                        @*<tr>
                                                                <td>
                                                                    <table>
                                                                        <tr>
                                                                            <td>@Html.LabelFor(model => model.CourseRemarks)</td>
                                                                            <td><span class="color_style"></span></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                                <td>
                                                                    @Html.TextAreaFor(model => model.CourseRemarks)
                                                                    @Html.ValidationMessageFor(model => model.CourseRemarks)
                                                                </td>
                                                            </tr>*@


                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.IsActive)
                                                            </td>
                                                            <td>
                                                                @Html.CheckBoxFor(model => model.IsActive, new { @checked = true })
                                                                @Html.ValidationMessageFor(model => model.IsActive)
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <br />
                                                    <input type="submit" value="Save" class="btn btn-primary" />
                                                    <br />
                                                    <br />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td id="pendingqueryP" align="left">
                                                    @Html.Action("_ListOfCourseHistory")
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center"></td>
                                            </tr>
                                        </table>
                                        <br />
                                        <br />
                                        <script type="text/javascript">
                                            @*document.getElementById("spPending").innerHTML= @OracleUtil.PendingCount*@
                                        </script>
                                    </div>
                                    <div style="display: block;" id="tab2" class="tab_content">
                                        <table align="left" class="bordertable">
                                            <tr>
                                                <td align="left">
                                                    @Html.Action("_HighestQualifCreate")
                                                </td>
                                            </tr>
                                            <tr>
                                                <td id="pendingqueryP" align="left">
                                                    <br />
                                                    @Html.Action("_ListHighestQualification")
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center">
                                                    <br />
                                                </td>
                                            </tr>
                                        </table>
                                        <br />
                                        <br />
                                    </div>
                                    <div style="display: block;" id="tab3" class="tab_content">
                                        <table align="left" class="bordertable">
                                            <tr>
                                                <td align="left">
                                                    @Html.Action("_EmploymentHisCreate")
                                                </td>
                                            </tr>
                                            <tr>
                                                <td id="pendingqueryP" align="left">
                                                    @Html.Action("_ListEmploymentHist")
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center"></td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div style="display: block;" id="tab4" class="tab_content">
                                        <table align="left" class="bordertable">
                                            <tr>
                                                <td align="left">
                                                    <table align="left" class="bordertable">
                                                        <tr>
                                                            <td>
                                                                @Html.Action("_FeeList", "Tbfeereceipt", new { admid = Url.RequestContext.RouteData.Values["id"] });
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="center">
                                                    <div id="resultsCon">
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                        <br />
                                        <br />
                                    </div>
                                    @*   <div style="display: block;" id="tab5" class="tab_content">
                                            <table align="left" class="bordertable">
                                                <tr>
                                                    <td align="left">
                                                        <table align="left" class="bordertable">
                                                            <tr>
                                                                <td>
                                                                 @Html.Action("_RemarkHistory")
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="center">
                                                    </td>
                                                </tr>
                                            </table>
                                            <br />
                                            <br />
                                        </div>*@
                                </div>
                            </div>
                            @*Tab end here*@
                            <br />
                        </form>
                    </div>
                </div>
            </div>
            <div id="editDialog" title="List Of Installment">
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
            <div id="delete-dialog" title="Confirmation">
                <p>
                    Are You Sure you want to delete this
                </p>
            </div>
        </div>
    </div>
}
